Full name: projects.locations.ragCorpora.ragFiles.delete
Deletes a RagFile.
Endpoint
deletehttps://{service-endpoint}/v1beta1/{name}
Where {service-endpoint} is one of the supported service endpoints.
Path parameters
namestring
Required. The name of the RagFile resource to be deleted. Format: projects/{project}/locations/{location}/ragCorpora/{ragCorpus}/ragFiles/{ragFile}
Query parameters
forceDeleteboolean
Optional. If set to true, any errors generated by external vector database during the deletion will be ignored. The default value is false.
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Operation.
IAM Permissions
Requires the following IAM permission on the name resource:
aiplatform.ragFiles.delete
For more information, see the IAM documentation.